This job view page is being replaced by Spyglass soon. Check out the new job view.
ResultFAILURE
Tests 0 failed / 0 succeeded
Started2020-04-01 02:59
Elapsed6m50s
Revision
Builderb61aef1a-73c4-11ea-901a-3a7046a79cdf
links{u'resultstore': {u'url': u'https://source.cloud.google.com/results/invocations/ee1ee896-9a5c-4d7d-9c22-3a488166112a/targets/test'}}
resultstorehttps://source.cloud.google.com/results/invocations/ee1ee896-9a5c-4d7d-9c22-3a488166112a/targets/test
infra-commitd2349a1e0

No Test Failures!


Error lines from build-log.txt

... skipping 14 lines ...
I0401 02:59:23.222] process 29 exited with code 0 after 0.0m
I0401 02:59:23.223] Will upload results to gs://kubernetes-jenkins/logs using triage@k8s-gubernator.iam.gserviceaccount.com
I0401 02:59:23.223] Root: /workspace
I0401 02:59:23.223] cd to /workspace
I0401 02:59:23.223] Configure environment...
I0401 02:59:23.224] Call:  git show -s --format=format:%ct HEAD
W0401 02:59:23.229] fatal: not a git repository (or any of the parent directories): .git
I0401 02:59:23.229] process 42 exited with code 128 after 0.0m
W0401 02:59:23.229] Unable to print commit date for HEAD
I0401 02:59:23.230] Call:  gcloud auth activate-service-account --key-file=/etc/service-account/service-account.json
W0401 02:59:23.748] Activated service account credentials for: [triage@k8s-gubernator.iam.gserviceaccount.com]
I0401 02:59:24.654] process 43 exited with code 0 after 0.0m
I0401 02:59:24.655] Call:  gcloud config get-value account
I0401 02:59:25.544] process 56 exited with code 0 after 0.0m
I0401 02:59:25.544] Will upload results to gs://kubernetes-jenkins/logs using triage@k8s-gubernator.iam.gserviceaccount.com
I0401 02:59:25.544] Start 1245183865736138752 at ...
I0401 02:59:25.547] Call:  gsutil -q -h Content-Type:application/json cp /tmp/gsutil_3tjKZa gs://kubernetes-jenkins/logs/metrics-kettle/1245183865736138752/started.json
I0401 02:59:28.621] process 69 exited with code 0 after 0.1m
I0401 02:59:28.622] Call:  /workspace/./test-infra/jenkins/../scenarios/execute.py test-infra/kettle/monitor.py -- --stale=6 --table k8s-gubernator:build.all k8s-gubernator:build.week k8s-gubernator:build.day
W0401 02:59:28.653] Run: ('test-infra/kettle/monitor.py', '--stale=6', '--table', 'k8s-gubernator:build.all', 'k8s-gubernator:build.week', 'k8s-gubernator:build.day')
I0401 03:06:03.484] ERROR: table k8s-gubernator:build.all is 20.0 hours old. Max allowed: 6 hours.
I0401 03:06:03.484] ERROR: table k8s-gubernator:build.week is 20.2 hours old. Max allowed: 6 hours.
I0401 03:06:03.485] ERROR: table k8s-gubernator:build.day is 19.7 hours old. Max allowed: 6 hours.
I0401 03:06:03.485] Collected data:
I0401 03:06:03.485] bigquery,db=k8s-gubernator:build.all modified_time=1585637957838i,row_count=15600237i,size_bytes=324156741220i
I0401 03:06:03.485] bigquery,db=k8s-gubernator:build.week modified_time=1585637111949i,row_count=96169i,size_bytes=4542246879i
I0401 03:06:03.485] bigquery,db=k8s-gubernator:build.day modified_time=1585638874894i,row_count=20413i,size_bytes=735920500i
I0401 03:06:03.485] 
W0401 03:06:03.583] Traceback (most recent call last):
... skipping 22 lines ...
W0401 03:06:03.587]     self.send(msg)
W0401 03:06:03.587]   File "/usr/lib/python3.6/http/client.py", line 974, in send
W0401 03:06:03.587]     self.connect()
W0401 03:06:03.588]   File "/usr/local/lib/python3.6/dist-packages/urllib3/connection.py", line 184, in connect
W0401 03:06:03.588]     conn = self._new_conn()
W0401 03:06:03.588]   File "/usr/local/lib/python3.6/dist-packages/urllib3/connection.py", line 169, in _new_conn
W0401 03:06:03.588]     self, "Failed to establish a new connection: %s" % e
W0401 03:06:03.588] urllib3.exceptions.NewConnectionError: <urllib3.connection.HTTPConnection object at 0x7f18c5822da0>: Failed to establish a new connection: [Errno 110] Connection timed out
W0401 03:06:03.588] 
W0401 03:06:03.588] During handling of the above exception, another exception occurred:
W0401 03:06:03.588] 
W0401 03:06:03.589] Traceback (most recent call last):
W0401 03:06:03.589]   File "/usr/local/lib/python3.6/dist-packages/requests/adapters.py", line 449, in send
W0401 03:06:03.589]     timeout=timeout
W0401 03:06:03.589]   File "/usr/local/lib/python3.6/dist-packages/urllib3/connectionpool.py", line 720, in urlopen
W0401 03:06:03.589]     method, url, error=e, _pool=self, _stacktrace=sys.exc_info()[2]
W0401 03:06:03.589]   File "/usr/local/lib/python3.6/dist-packages/urllib3/util/retry.py", line 436, in increment
W0401 03:06:03.589]     raise MaxRetryError(_pool, url, error or ResponseError(cause))
W0401 03:06:03.590] urllib3.exceptions.MaxRetryError: HTTPConnectionPool(host='velodrome.k8s.io', port=8181): Max retries exceeded with url: /write?db=metrics&precision=ms (Caused by NewConnectionError('<urllib3.connection.HTTPConnection object at 0x7f18c5822da0>: Failed to establish a new connection: [Errno 110] Connection timed out',))
W0401 03:06:03.590] 
W0401 03:06:03.590] During handling of the above exception, another exception occurred:
W0401 03:06:03.590] 
W0401 03:06:03.590] Traceback (most recent call last):
W0401 03:06:03.590]   File "test-infra/kettle/monitor.py", line 116, in <module>
W0401 03:06:03.591]     sys.exit(main(sys.argv[1:]))
... skipping 12 lines ...
W0401 03:06:03.592]   File "/usr/local/lib/python3.6/dist-packages/requests/sessions.py", line 533, in request
W0401 03:06:03.592]     resp = self.send(prep, **send_kwargs)
W0401 03:06:03.593]   File "/usr/local/lib/python3.6/dist-packages/requests/sessions.py", line 646, in send
W0401 03:06:03.593]     r = adapter.send(request, **kwargs)
W0401 03:06:03.593]   File "/usr/local/lib/python3.6/dist-packages/requests/adapters.py", line 516, in send
W0401 03:06:03.593]     raise ConnectionError(e, request=request)
W0401 03:06:03.593] requests.exceptions.ConnectionError: HTTPConnectionPool(host='velodrome.k8s.io', port=8181): Max retries exceeded with url: /write?db=metrics&precision=ms (Caused by NewConnectionError('<urllib3.connection.HTTPConnection object at 0x7f18c5822da0>: Failed to establish a new connection: [Errno 110] Connection timed out',))
W0401 03:06:03.594] Traceback (most recent call last):
W0401 03:06:03.594]   File "/workspace/./test-infra/jenkins/../scenarios/execute.py", line 50, in <module>
W0401 03:06:03.594]     main(ARGS.env, ARGS.cmd + ARGS.args)
W0401 03:06:03.594]   File "/workspace/./test-infra/jenkins/../scenarios/execute.py", line 41, in main
W0401 03:06:03.594]     check(*cmd)
W0401 03:06:03.594]   File "/workspace/./test-infra/jenkins/../scenarios/execute.py", line 30, in check
W0401 03:06:03.594]     subprocess.check_call(cmd)
W0401 03:06:03.594]   File "/usr/lib/python2.7/subprocess.py", line 190, in check_call
W0401 03:06:03.595]     raise CalledProcessError(retcode, cmd)
W0401 03:06:03.595] subprocess.CalledProcessError: Command '('test-infra/kettle/monitor.py', '--stale=6', '--table', 'k8s-gubernator:build.all', 'k8s-gubernator:build.week', 'k8s-gubernator:build.day')' returned non-zero exit status 1
E0401 03:06:03.595] Command failed
I0401 03:06:03.595] process 251 exited with code 1 after 6.6m
E0401 03:06:03.596] FAIL: metrics-kettle
I0401 03:06:03.596] Call:  gcloud auth activate-service-account --key-file=/etc/service-account/service-account.json
W0401 03:06:04.090] Activated service account credentials for: [triage@k8s-gubernator.iam.gserviceaccount.com]
I0401 03:06:04.716] process 255 exited with code 0 after 0.0m
I0401 03:06:04.716] Call:  gcloud config get-value account
I0401 03:06:05.608] process 267 exited with code 0 after 0.0m
I0401 03:06:05.608] Will upload results to gs://kubernetes-jenkins/logs using triage@k8s-gubernator.iam.gserviceaccount.com
I0401 03:06:05.608] Upload result and artifacts...
I0401 03:06:05.608] Gubernator results at https://gubernator.k8s.io/build/kubernetes-jenkins/logs/metrics-kettle/1245183865736138752
W0401 03:06:05.608] Missing local artifacts : /workspace/_artifacts
W0401 03:06:05.609] metadata path /workspace/_artifacts/metadata.json does not exist
W0401 03:06:05.609] metadata not found or invalid, init with empty metadata
I0401 03:06:05.609] Call:  git rev-parse HEAD
W0401 03:06:05.616] fatal: not a git repository (or any of the parent directories): .git
E0401 03:06:05.616] Command failed
I0401 03:06:05.616] process 280 exited with code 128 after 0.0m
I0401 03:06:05.616] Call:  git rev-parse HEAD
I0401 03:06:05.623] process 281 exited with code 0 after 0.0m
I0401 03:06:05.623] Call:  gsutil stat gs://kubernetes-jenkins/logs/metrics-kettle/jobResultsCache.json
I0401 03:06:07.139] process 282 exited with code 0 after 0.0m
I0401 03:06:07.140] Call:  gsutil -q cat 'gs://kubernetes-jenkins/logs/metrics-kettle/jobResultsCache.json#1585706708269762'
... skipping 8 lines ...